#ifndef DECODER_CONFIG_H
#define DECODER_CONFIG_H

#include <qdialog.h>
#include <vector>

class CodecInfo;
class AttributeInfo;
class IRtConfig;

class QConfDialog: public QDialog
{
    Q_OBJECT
    const CodecInfo& info;
    const std::vector<AttributeInfo>& attrs;
    std::vector<QObject*> items;
    std::vector<int> original;
    IRtConfig* rt;
public:
    QConfDialog(const CodecInfo&, IRtConfig* _rt=0);
public slots:
    void reset();
    void reject();
    void valueChanged(int);
};

#endif //DECODER_CONFIG_H
